Unit XGlobals;  {Extended Array Globally Useful definitions}

INTERFACE

Const
  MaxBuff = 7;

Type
  Short = String[8];
  Ext   = String[4];
  Name  = String[12];

  ManRec = Record
             Tag     : Short;
             Present : Boolean;
             Where   : Word;
           End;

  Function Int_To_Short (I : Word) : Short;
  Function Generated_Extension : Ext;

IMPLEMENTATION

Var
  Extensions : Word;

Function Int_To_Short (I : Word) : Short;
Var
  S : Short;
  T : Short;
  J : Word;
  K : Word;
Begin
  J := I;
  S := '';
  If J = 0 Then S := '0';
  While J > 0 do
    Begin
      K := J Mod 10;
      J := (J-K);
      If J <> 0 Then J := J Div 10;
      S := S+Chr(K+Ord('0'))
    End;
  T := '';
  For J := Length(S) downto 1 do T := T+S[J];
  Int_To_Short := T
End;

Function Generated_Extension : Ext;
Var
  E : Ext;
  S : Short;
  J : Byte;
Begin
  S := Int_To_Short (Extensions);
  Extensions := Extensions + 1;
  While Length (S) < 3 do S := S+'}';
  E := '';
  E := E + '.';
  J := 1;
  While J <= 3 do
    Begin
      E := E + S[J];
      J := J + 1
    End;
  Generated_Extension := E
End;

BEGIN
  Extensions := 0;
END.
